%define name	numactl
%define version 2.0.2
%define release	%mkrel 1
%define libname	%mklibname numa 1
%define develname	%mklibname numa -d

Summary:	Simple NUMA policy support
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL/LGPL
Group:		System/Configuration/Hardware
Url:		ftp://oss.sgi.com/www/projects/libnuma/download
Source0:	ftp://oss.sgi.com/www/projects/libnuma/download/%{name}-%{version}.tar.gz
Patch0:		numactl-2.0.2-fix-fmt-errors.patch
Patch1:		numactl-2.0.2-clearcache-fix.patch
ExclusiveArch:	%{ix86} x86_64 ia64
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This package contains the `numactl' program to run other programs with
a specific NUMA policy.

%package -n	%{libname}
Summary:	Runtime libraries for NUMA policy support
Group:		System/Libraries
Requires:	kernel >= 2.6.7

%description -n	%{libname}
This package contains the dynamic libraries for NUMA policy support.

%package -n	%{develname}
Summary:	Headers and libraries for NUMA policy
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	numa-devel = %{version}-%{release}
Obsoletes:  %mklibname numa -d 1

%description -n	%{develname}
This package contains headers and libraries useful for developing
applications using different NUMA policies.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%make CFLAGS="%{optflags} -I. -fPIC"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%_mandir/man5/
%makeinstall_std prefix=%{buildroot}/usr


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES
%{_bindir}/memhog
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/migratepages
%{_bindir}/migspeed
%{_mandir}/man8/numactl.8*
%{_mandir}/man5/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libnuma.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libnuma.so
%{_libdir}/libnuma.a
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_defaultdocdir}/%{name}/*
%{_mandir}/man3/*


%changelog
* Sun May 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.2-1mdv2010.0
+ Revision: 373970
- new version

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Remove annoying warning "libnuma: Warning: /sys not mounted" for systems not having numa mounted (FC).
    - Add Provides: numa-devel.
    - Add %%{ix_86} arch to supported archs.
    - Update to relese 2.0.2
    - Merged Patch1 from Fedora.

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-3mdv2009.0
+ Revision: 241098
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 22 2007 Erwan Velu <erwan@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 69299
- 1.0.1
- Fixing url
  0.9.11

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 0.9.10-1mdv2008.0
+ Revision: 17632
- 0.9.10
- Import numactl



* Wed Jan 04 2006 Erwan Velu <erwan@seanodes.com> 0.9-1mdk
- 0.9

* Wed May 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.6.4-1mdk
- First Mandriva Linux release
